<div class='login__container'>

  <div>
    <h2 i18n>Login</h2>
  </div>

  <form class='login__form' [formGroup]='loginForm' (ngSubmit)='onSubmit()'>

    <mat-form-field class='login__full-width' appearance='fill'>
      <mat-label i18n>Email</mat-label>
      <input type='email' matInput placeholder='Enter your email' formControlName='email' required>
    </mat-form-field>

    <mat-form-field class='login__full-width' appearance='fill'>
      <mat-label i18n>Password</mat-label>
      <input type='password' matInput placeholder='Enter your password' formControlName='password' required>
    </mat-form-field>

    <button
      type='submit'
      mat-raised-button
      class='login__btn'
      color='primary'
      [disabled]='!loginForm.valid || isLoading' i18n>
      Login</button>
    <a mat-raised-button color="primary" routerLink='/signUp' i18n>Sign Up</a>
    <button
      type='button'
      class='login__forget'
      mat-raised-button
      (click)="openDialog()" i18n>Forget password?</button>
  </form>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>

</div>

